/*
 * Copyright (C) 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.android.settings.testutils.shadow;

import android.content.Context;
import android.telecom.DefaultDialerManager;

import org.robolectric.annotation.Implementation;
import org.robolectric.annotation.Implements;
import org.robolectric.annotation.Resetter;

@Implements(DefaultDialerManager.class)
public class ShadowDefaultDialerManager {

    private static String sDefaultDailer;

    @Resetter
    public void reset() {
        sDefaultDailer = null;
    }

    @Implementation
    public static String getDefaultDialerApplication(Context context) {
        return sDefaultDailer;
    }

    public static void setDefaultDialerApplication(String dialer) {
        sDefaultDailer = dialer;
    }
}
